Subject: Re: cygwin Digest 13 Sep 2002 20:42:51 -0000 Issue 2223
From: "Gerrit P. Haase" <[email-masked]>
To: Reini Urban <[email-masked]>
Cc: [email-masked]
Date: Sun, 15 Sep 2002 18:52:30 +0200

Hallo Reini,

Am Sonntag, 15. September 2002 um 16:17 schriebst du:

> [email-masked] schrieb:
>> Von "Gerrit P. Haase" <[email-masked]>
>> Datum: Fri, 13 Sep 2002 18:19:52 +0200
>> An: "Patrick J. LoPresti" <[email-masked]>
>  >
>> There is an initial port of libwin32 available, well it sure needs some
>> more work, i.e. the ODBC module does not pass the test.  Try it, apply
>> the patch to the 0.18 version:
>> http://iokaste.koeln.convey.de/cywgin/libwin32/libwin32-0.18-2-cygwin.patch
>> http://iokaste.koeln.convey.de/cywgin/libwin32/README

> Looks for me as an mingw patch, at least not suitable for the plain 
> normal cygwin-multi perl-5.6.1

I build libwin32 with this patch and perl-5.8 and Clive who did all
the work in the patches got it to build with perl-5.6.1.

> I fixed some errors by myself but stopped somewhere in the middle.
> * no \t in the clean:: postamble sections of two makefiles.
> * not enough hints/cygwin.pl files.
>    e.g. for APIFile it needs a
>    $self->{LIBS} = ['-L/usr/lib/mingw -lmsvcrt40'];
> plus some fixes in File.xs:
> IsContainerPartition() should be commented out
> and:

> #ifdef __CYGWIN__
> # define win32_get_osfhandle _get_osfhandle
> # define win32_open_osfhandle _open_osfhandle
> #endif
> ....

Fine, I got your patch with PM, I'll test it and put it online
as a third version.

Next job is to apply all the needed changes to the latest
libwin32 version (0.191 or later).

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/